/*
Theme Name:     Onylogy - Kadence Child Theme
Theme URI:      https://onylogy.com/
Template:       kadence
Author:         Onylogy Studio
Author URI:     https://onylogy.com/
Description:    Custom Kadence child theme for Onylogy Studio client projects. Safe for parent theme updates.
Version:        0.0.2
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/

h1, h2, h3, h4, h5, h6 {
    font-variant-numeric: lining-nums tabular-nums;
}

/* Kadence Query Loop - Limit titles to 2 lines */
.wp-block-kadence-query .query-post-title .wp-block-kadence-advancedheading{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4;
    min-height: calc(1.4em * 2);
}
@media (max-width: 767px){
    .wp-block-kadence-query .query-post-title .wp-block-kadence-advancedheading{
        min-height:0 !important;
    }
}
/* Limit excerpts to 2 lines */
.wp-block-kadence-query .query-excerpt {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;

    line-height: 1.5;
    height: 3em;
}

.gradient-divider hr.kt-divider { 
	border-top: 3px solid transparent; 
	border-image: linear-gradient( 
		90deg, var(--global-palette2) 0%, 
		var(--global-palette1) 50%, 
		transparent 100% 
	) 1; 
}
